QGIS Application - Bug report #15510
layers naming inconsitencies
2016-09-01 03:53 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.16.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23434
Description

take this layer

https://raw.githubusercontent.com/qgis/QGIS/d0faca16a7e63e8bb0e9382¢c1b7746e1dfc67e2e/python/plugins/processing/tests/testdat
/polys.gml

and add it with the "add vector layer" dialog, or by QGIS browser, or by D&D from a system window.

In QGIS 2.16.2 by "add vector" layer or D&D you get as layer name

polys polys2 Polygon

that seems very strange. By using the browser you get

polys

that seems ok

On the other hand on older QGIS releases (2.8.8) you always get the same name, but that is different from the above ones...

polys2

Related issues:
Related to QGIS Application - Bug report # 16614: Version 2.18.8 python loadi... Closed 2017-05-24

Associated revisions

Revision c849bc88 - 2017-05-17 06:01 PM - Alexander Bruy

homogenize layer naming when adding via browser and add vector dialog

(fix #15510)

Revision e0a2267d - 2017-05-17 07:20 PM - Alexander Bruy

homogenize layer naming when adding via browser and add vector dialog

(fix #15510)

Revision d7b952b4 - 2017-05-19 07:32 AM - Alexander Bruy
https://raw.githubusercontent.com/qgis/QGIS/d0faca16a7e63e8bb0e9382c1b7746e1dfc67e2e/python/plugins/processing/tests/testdata/polys.gml
https://raw.githubusercontent.com/qgis/QGIS/d0faca16a7e63e8bb0e9382c1b7746e1dfc67e2e/python/plugins/processing/tests/testdata/polys.gml

Merge pull request #4579 from alexbruy/layer-naming

homogenize layer naming when adding via browser and add vector dialog (fix #15510)

Revision cc6f6e88 - 2017-05-19 07:33 AM - Alexander Bruy

Merge pull request #4580 from alexbruy/layer-naming-2_18

homogenize layer naming when adding layers from browser and add vector dialog (fix #15510)

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2017-05-19 07:32 AM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|e0a2267de764a87d85525435047ae1c7304b79c5.

#3 - 2017-05-24 07:12 PM - Jiirgen Fischer
- Related to Bug report #16614: Version 2.18.8 python loading vector layers - cannot name vector layer added
